Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1137027 - [abrt] gnome-software: gs_screenshot_image_complete_cb(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gs_screenshot_image_complete_cb(): gnome-software kill...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7797103b449573a3cb7d1d96c9e...
: 1180127 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-03 21:27 UTC by Bruno Roberto Zanuzzo
Modified: 2015-04-27 09:56 UTC (History)
21 users (show)

Fixed In Version: gnome-software-3.14.3-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:27:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (62.05 KB, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: cgroup (190 bytes, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: core_backtrace (43.00 KB, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: dso_list (13.17 KB, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: environ (1.27 KB, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: exploitable (82 bytes, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: limits (1.29 KB, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: maps (66.70 KB, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: open_fds (2.31 KB, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
File: var_log_messages (1.07 KB, text/plain)
2014-09-03 21:27 UTC, Bruno Roberto Zanuzzo
no flags Details
new report based on gnome-software-3.14.2-2.fc21.x86_64 (13.37 MB, application/zip)
2015-02-13 20:39 UTC, Bruno Roberto Zanuzzo
no flags Details

Description Bruno Roberto Zanuzzo 2014-09-03 21:27:25 UTC
Description of problem:
Description of problem:
During the execution of two 'simultaneous' tasks (installation and browsing / viewing details of other applications) gnome-software is getting SIGSEGV signal.

Version-Release number of selected component (if applicable):
gnome-software-3.13.90-1.fc21.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Start the installation of any software using gnome-software;
2. Browse and see details of other software using the gnome-software;

Actual results:
gnome-software receives sigsegv

Expected results:
Able to browse / view details of other applications in gnome-software during an installation normally.

Version-Release number of selected component:
gnome-software-3.13.90-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_screenshot_image_complete_cb
executable:     /usr/bin/gnome-software
kernel:         3.16.1-301.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 gs_screenshot_image_complete_cb at gs-screenshot-image.c:251
 #1 queue_message_callback at soup-session-sync.c:88
 #5 g_main_context_iteration at gmain.c:3795
 #6 g_application_run at gapplication.c:2219

Comment 1 Bruno Roberto Zanuzzo 2014-09-03 21:27:29 UTC
Created attachment 934222 [details]
File: backtrace

Comment 2 Bruno Roberto Zanuzzo 2014-09-03 21:27:30 UTC
Created attachment 934223 [details]
File: cgroup

Comment 3 Bruno Roberto Zanuzzo 2014-09-03 21:27:32 UTC
Created attachment 934224 [details]
File: core_backtrace

Comment 4 Bruno Roberto Zanuzzo 2014-09-03 21:27:34 UTC
Created attachment 934225 [details]
File: dso_list

Comment 5 Bruno Roberto Zanuzzo 2014-09-03 21:27:35 UTC
Created attachment 934226 [details]
File: environ

Comment 6 Bruno Roberto Zanuzzo 2014-09-03 21:27:37 UTC
Created attachment 934227 [details]
File: exploitable

Comment 7 Bruno Roberto Zanuzzo 2014-09-03 21:27:38 UTC
Created attachment 934228 [details]
File: limits

Comment 8 Bruno Roberto Zanuzzo 2014-09-03 21:27:40 UTC
Created attachment 934229 [details]
File: maps

Comment 9 Bruno Roberto Zanuzzo 2014-09-03 21:27:41 UTC
Created attachment 934230 [details]
File: open_fds

Comment 10 Bruno Roberto Zanuzzo 2014-09-03 21:27:43 UTC
Created attachment 934231 [details]
File: proc_pid_status

Comment 11 Bruno Roberto Zanuzzo 2014-09-03 21:27:44 UTC
Created attachment 934232 [details]
File: var_log_messages

Comment 13 Bruno Roberto Zanuzzo 2015-02-13 20:39:10 UTC
Created attachment 991583 [details]
new report based on gnome-software-3.14.2-2.fc21.x86_64

I tested again using gnome-software-3.14.2-2.fc21.x86_64, installing any software after another, until the bug happen again. After the third software, apparently the same bug occurred to me.

Comment 14 Fedora Update System 2015-02-27 14:52:26 UTC
gnome-software-3.14.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnome-software-3.14.3-1.fc21

Comment 15 Fedora Update System 2015-02-28 10:24:48 UTC
Package gnome-software-3.14.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-software-3.14.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2843/gnome-software-3.14.3-1.fc21
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-03-09 08:27:35 UTC
gnome-software-3.14.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Kalev Lember 2015-03-12 23:42:18 UTC
*** Bug 1180127 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.